/*
* Copyright (C) 2003-2007 Funambol
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once
#include "afxwin.h"
#include "CustomGroupbox.h"

class CContactSettings : public CDialog
{
	DECLARE_DYNCREATE(CContactSettings)

public:
	CContactSettings();           
	virtual ~CContactSettings();

	enum { IDD = IDD_CONTACTS };
#ifdef _DEBUG
	virtual void AssertValid() const;
#ifndef _WIN32_WCE
	virtual void Dump(CDumpContext& dc) const;
#endif
#endif

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual BOOL OnInitDialog();

	DECLARE_MESSAGE_MAP()
public:
    CComboBox lstSyncType;
    CEdit editFolder;
    CButton checkInclude;
    CButton butSelectFolder;
    CEdit editRemote;
    CButton radioSif;
    CButton radioVcard;
    
    bool saveSettings(bool saveToDisk);
    afx_msg void OnBnClickedContactsButok();
    afx_msg void OnBnClickedContactsButcancel();
    afx_msg void OnBnClickedContactsButFolder();
public:
    CCustomGroupbox groupDirection;
public:
    CCustomGroupbox groupFolder;
public:
    CCustomGroupbox groupAdvanced;
public:
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
};


