/*
* Copyright (C) 2003-2007 Funambol
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once
#include "afxwin.h"
#include "CustomGroupbox.h"


// CLogSettings dialog

class CLogSettings : public CDialog
{
	DECLARE_DYNAMIC(CLogSettings)

public:
	CLogSettings(CWnd* pParent = NULL);   // standard constructor
	virtual ~CLogSettings();

// Dialog Data
	enum { IDD = IDD_LOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
    virtual BOOL OnInitDialog();
	DECLARE_MESSAGE_MAP()
public:
    CButton radioNone;
    CButton radioInfo;
    CButton radioDebug;

    bool saveSettings(bool saveToDisk);

    afx_msg void OnBnClickedLogOk();
    afx_msg void OnBnClickedLogCancel();
    afx_msg void OnBnClickedLogRadioNone();
    afx_msg void OnBnClickedLogRadioInfo();
    afx_msg void OnBnClickedLogRadioDebug();
    afx_msg void OnBnClickedLogViewlog();
public:
    CCustomGroupbox groupLevel;
public:
    afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
};
