/*
* Copyright (C) 2003-2007 Funambol
*
* This program is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
*
* This program is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program; if not, write to the Free Software
* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "HwndFunctions.h"

#include "tchar.h"

void findFunambolWindow2()
{
	//-- for finding if the UI window is present
	HwndFunctions::wnd = FindWindow(PLUGIN_UI_CLASSNAME, PLUGIN_UI_TITLE);

    if (HwndFunctions::wnd)
        ExitThread(1);
    else
        ExitThread(0);
}



int HwndFunctions::findFunambolWindow() {
    
    HANDLE hand = CreateThread(NULL, 0, (LPTHREAD_START_ROUTINE)findFunambolWindow2, NULL, 0, NULL);
    DWORD t = WaitForSingleObject(hand, 2000); // 2 secs.
    
    DWORD exitcode = 0;
    GetExitCodeThread(hand, &exitcode);
    CloseHandle(hand);

    return exitcode;
}

// Note:
// UI window handle is always retrieved (don't save the handle): 
// UI could be opened and closed during sched sync.
HWND HwndFunctions::getWindowHandle() {   

    findFunambolWindow(); 
    return wnd;    
}

void HwndFunctions::initHwnd() { 
    findFunambolWindow(); 
}

HWND HwndFunctions::wnd = NULL;